## tntnet 1.5.3

=== sdk/demos/newsdb/Makefile ===
newsdb.so: index.o news.o newscss.o indexr.o
	$(CXX) -o $@ $(LDFLAGS) $^

SUFFIXES=.ecpp .gif .jpg
ECPPC=/usr/local/bin/ecppc
CXXFLAGS+=`tntnet-config --cxxflags` -fPIC -O2
LDFLAGS+=-shared `tntnet-config --libs` -ltntdb

%.cpp: %.ecpp
	$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_CPP) $<
%.cpp: %.gif
	$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_GIF) -b $<
%.cpp: %.jpg
	$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_JPG) -b $<
%.cpp: %.css
	$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_CSS) -b $<

index.cpp: index.ecpp \
  global.ecpp
news.cpp: news.ecpp \
  global.ecpp

## tntnet 1.6.0.1

=== sdk/demos/newsdb/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-newsdb.so: index.o news.o newscss.o indexr.o
+newsdb.so: index.o news.o newscss.o
 	$(CXX) -o $@ $(LDFLAGS) $^
 
 SUFFIXES=.ecpp .gif .jpg

## tntnet 1.6.3

=== sdk/demos/newsdb/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 	$(CXX) -o $@ $(LDFLAGS) $^
 
 SUFFIXES=.ecpp .gif .jpg
-ECPPC=/usr/local/bin/ecppc
+ECPPC=../../tools/ecppc/ecppc
 CXXFLAGS+=`tntnet-config --cxxflags` -fPIC -O2
 LDFLAGS+=-shared `tntnet-config --libs` -ltntdb

## tntnet 2.0%2bdfsg1

=== debian/changelog ===
tntnet (2.0+dfsg1-2ubuntu0.1) precise-security; urgency=high

  * SECURITY UPDATE: Fixed default configuration to prevent exposing
    files from /.  (LP: #1430750)

 -- Christian Hertel <ch@skyway-dc.com>  Wed, 11 Mar 2015 16:07:14 +0100

tntnet (2.0+dfsg1-2) unstable; urgency=low

  * Switch build dep from libgnutls-dev to libssl-dev.  Fixes FTBFS too.

 -- Kari Pahula <kaol@debian.org>  Thu, 25 Aug 2011 01:26:38 +0300

tntnet (2.0+dfsg1-1) unstable; urgency=low

  * New upstream release.  (Closes: #638798, #639082)
    + Repackaged as +dfsg1 to retain the license in
      framework/common/{crypt,ioapi,unzip}.h
  * Parse and use the parallel= DEB_BUILD_OPTION.
  * Standards-version 3.9.2 (no changes needed).
  * debian/source/format "quilt (3.0)" and drop quilt as a build
    dependency.

 -- Kari Pahula <kaol@debian.org>  Wed, 24 Aug 2011 20:09:25 +0300

tntnet (1.6.3-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * [debian/patches/ftbfs_gold.diff] Fix FTBFS with
    --no-copy-dt-needed-entries. Closes: #556495
  * Stop shipping libtool la files in binary packages. Closes: #610237
    http://wiki.debian.org/ReleaseGoals/LAFileRemoval

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Apr 2011 09:07:42 +0200

tntnet (1.6.3-4) unstable; urgency=low

  * Call "pkg-config gnutls" to get correct flags. (Closes: #529848)
  * Added pkg-config, automake, autoconf, libtool as build deps.
  * Regenerate autotool files at build time.
  * Standards-Version 3.8.3 (no changes necessary).

 -- Kari Pahula <kaol@debian.org>  Wed, 19 Aug 2009 09:57:52 +0300

tntnet (1.6.3-3) unstable; urgency=low

  * Don't install all the demos in libtntnet-dev, as done in -2 due to
    a misplaced file glob.
  * Add a new package tntnet-runtime, that has the runtime plugin
    /usr/lib/tntnet/tntnet.so.
  * Removed the runtime plugin's files from libtntnet-dev and libtntnet8.

 -- Kari Pahula <kaol@debian.org>  Sat, 14 Jun 2008 20:25:32 +0300

tntnet (1.6.3-2) unstable; urgency=low

  * Moved ecpp.7 to libtntnet-dev from tntnet.
  * Moved /usr/lib/tntnet/tntnet.so to libtntnet-dev and
    /usr/lib/tntnet/tntnet.so.8* to libtntnet8, both from tntnet.
  * Standards-Version bump to 3.8.0 (no changes necessary)

 -- Kari Pahula <kaol@debian.org>  Sat, 14 Jun 2008 17:30:47 +0300

tntnet (1.6.3-1) unstable; urgency=low

  * New upstream release
  * SONAME 7 -> 8.
  * Made libtntnet-dev depend on the shared library package.
  * Use upstream's Makefile.in files and don't run aclocal and automake
    during build.

 -- Kari Pahula <kaol@debian.org>  Fri, 06 Jun 2008 09:19:34 +0300

tntnet (1.6.1.2-2) unstable; urgency=low

  * Added missing build dependency, libtool (Closes: #474419)

 -- Kari Pahula <kaol@debian.org>  Mon, 07 Apr 2008 18:57:14 +0300

tntnet (1.6.1.2-1) unstable; urgency=low

  * New upstream release (Closes: #456991)
  * SONAME 6 -> 7.
  * Added LIBS=-lpthread to configure's parameters.

 -- Kari Pahula <kaol@debian.org>  Thu, 27 Mar 2008 21:18:40 +0200

tntnet (1.6.0.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.3.  Thanks to Kumar Appaiah for the patch.  (Closes:
    #454837)
  * Lintian cleanups:
    - Use utf-8 for debian/copyright.
    - Add Homepage field to debian/control in place of having it in every
      package description.
    - Update to Standards-Version 3.7.3 (no changes needed).

 -- James Vega <jamessan@debian.org>  Mon, 17 Mar 2008 22:06:12 -0400

tntnet (1.6.0.1-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Mon, 02 Jul 2007 17:20:17 +0300

tntnet (1.6.0-2) unstable; urgency=low

  * Added missing build-dep zip (Closes: #427531)

 -- Kari Pahula <kaol@debian.org>  Mon, 04 Jun 2007 21:43:40 +0300

tntnet (1.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #417730, #426867)
  * Updated debian/copyright (was GPL, is LGPL now)
  * Only start tntnet if port 80 is unbound (Closes: #413186)

 -- Kari Pahula <kaol@debian.org>  Tue, 29 May 2007 20:38:55 +0300

tntnet (1.5.3-2) unstable; urgency=low

  * Moved /usr/sbin/tntnet to /usr/bin/tntnet

 -- Kari Pahula <kaol@debian.org>  Sun,  5 Nov 2006 11:21:34 +0200

tntnet (1.5.3-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Sat, 23 Sep 2006 15:08:55 +0300

tntnet (1.5.2-1) unstable; urgency=low

  * New upstream release
  * Really added a dependency on libcxxtools-dev for libtntnet-dev
  * LSBized /etc/init.d/tntnet
  * Install .js and .png files needed by demos to /usr/share/tntnet/ and
    configure the default tntnet.conf to seek for /demos/*.{js,png} from
    there.

 -- Kari Pahula <kaol@debian.org>  Thu, 14 Sep 2006 10:41:13 +0300

tntnet (1.5.1+1.5.2pre3-3) unstable; urgency=low

  * Added a dependency on libcxxtools-dev for libtntnet-dev
  * Moved /usr/bin/ecpp* to libtntnet-dev package
  * Removed logrotate script (upstream says that tntnet can rotate its own
    logs)

 -- Kari Pahula <kaol@debian.org>  Sun, 23 Jul 2006 18:09:06 +0300

tntnet (1.5.1+1.5.2pre3-2) unstable; urgency=low

  * Added missing build-deps libgnutls-dev and libltdl3-dev (Closes: #378042)

 -- Kari Pahula <kaol@debian.org>  Thu, 13 Jul 2006 01:07:28 +0300

tntnet (1.5.1+1.5.2pre3-1) unstable; urgency=low

  * Initial release (Closes: #361010)

 -- Kari Pahula <kaol@debian.org>  Wed, 12 Jul 2006 11:03:28 +0300

=== debian/control ===
Source: tntnet
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kari Pahula <kaol@debian.org>
Build-Depends: cdbs, debhelper (>= 5), libcxxtools-dev (>= 2.0), libltdl-dev, zip, pkg-config, automake, autoconf, libtool, libssl-dev
Standards-Version: 3.9.2
Homepage: http://www.tntnet.org/

Package: tntnet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, net-tools, tntnet-runtime (= ${binary:Version})
Provides: httpd, httpd-cgi
Suggests: tntnet-doc, libtntnet-dev
Description: modular, multithreaded web application server for C++
 Tntnet has a template-language called ecpp similar to PHP, JSP or
 Mason, where you can embed c++ code inside a HTML page to generate
 active content. The ecpp files are precompiled to C++ classes called
 components and compiled and linked into a shared library. This process
 is done at compiletime. The web server Tntnet needs only the compiled
 component library.
 .
 Because the web applications are compiled into native code, they are
 very fast and compact.
 .
 Components can call other components. So you can create building blocks
 of HTML parts and call them in other pages like subprocesses.
 .
 Requests are parsed by tntnet and the request information is easily
 accessible to the components. It supports GET and POST parameters and
 MIME multipart requests for file upload.
 .
 The template language has also support for internationalized
 applications. You can easily create web applications for different
 languages.
 .
 Other features are: cookies, HTTP upload, automatic request parameter
 parsing and conversion, automatic session management, scoped variables
 (application, request and session), internationalisation and keep-alive.
 .
 Logging is done through cxxtools, which provides a unique API for
 log4cpp, log4cxx or simple logging to files or console.
 .
 Tntnet is fully multithreaded and much work has been gone into making
 it scalable. It uses a dynamic pool of worker threads, which answer
 requests from HTTP clients.

Package: tntnet-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tntnet-demos
Description: documentation for Tntnet
 Tntnet has a template-language called ecpp similar to PHP, JSP or
 Mason, where you can embed c++ code inside a HTML page to generate
 active content. The ecpp files are precompiled to C++ classes called
 components and compiled and linked into a shared library. This process
 is done at compiletime. The web server Tntnet needs only the compiled
 component library.
 .
 Because the web applications are compiled into native code, they are
 very fast and compact.
 .
 Components can call other components. So you can create building blocks
 of HTML parts and call them in other pages like subprocesses.
 .
 Requests are parsed by tntnet and the request information is easily
 accessible to the components. It supports GET and POST parameters and
 MIME multipart requests for file upload.
 .
 The template language has also support for internationalized
 applications. You can easily create web applications for different
 languages.
 .
 Other features are: cookies, HTTP upload, automatic request parameter
 parsing and conversion, automatic session management, scoped variables
 (application, request and session), internationalisation and keep-alive.
 .
 Logging is done through cxxtools, which provides a unique API for
 log4cpp, log4cxx or simple logging to files or console.
 .
 Tntnet is fully multithreaded and much work has been gone into making
 it scalable. It uses a dynamic pool of worker threads, which answer
 requests from HTTP clients.

Package: tntnet-demos
Architecture: any
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: tntnet
Description: demo web applications for Tntnet
 Tntnet has a template-language called ecpp similar to PHP, JSP or
 Mason, where you can embed c++ code inside a HTML page to generate
 active content. The ecpp files are precompiled to C++ classes called
 components and compiled and linked into a shared library. This process
 is done at compiletime. The web server Tntnet needs only the compiled
 component library.
 .
 Because the web applications are compiled into native code, they are
 very fast and compact.
 .
 Components can call other components. So you can create building blocks
 of HTML parts and call them in other pages like subprocesses.
 .
 Requests are parsed by tntnet and the request information is easily
 accessible to the components. It supports GET and POST parameters and
 MIME multipart requests for file upload.
 .
 The template language has also support for internationalized
 applications. You can easily create web applications for different
 languages.
 .
 Other features are: cookies, HTTP upload, automatic request parameter
 parsing and conversion, automatic session management, scoped variables
 (application, request and session), internationalisation and keep-alive.
 .
 Logging is done through cxxtools, which provides a unique API for
 log4cpp, log4cxx or simple logging to files or console.
 .
 Tntnet is fully multithreaded and much work has been gone into making
 it scalable. It uses a dynamic pool of worker threads, which answer
 requests from HTTP clients.

Package: libtntnet9
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: tntnet-runtime
Description: Tntnet libraries
 Tntnet has a template-language called ecpp similar to PHP, JSP or
 Mason, where you can embed c++ code inside a HTML page to generate
 active content. The ecpp files are precompiled to C++ classes called
 components and compiled and linked into a shared library. This process
 is done at compiletime. The web server Tntnet needs only the compiled
 component library.
 .
 Because the web applications are compiled into native code, they are
 very fast and compact.
 .
 Components can call other components. So you can create building blocks
 of HTML parts and call them in other pages like subprocesses.
 .
 Requests are parsed by tntnet and the request information is easily
 accessible to the components. It supports GET and POST parameters and
 MIME multipart requests for file upload.
 .
 The template language has also support for internationalized
 applications. You can easily create web applications for different
 languages.
 .
 Other features are: cookies, HTTP upload, automatic request parameter
 parsing and conversion, automatic session management, scoped variables
 (application, request and session), internationalisation and keep-alive.
 .
 Logging is done through cxxtools, which provides a unique API for
 log4cpp, log4cxx or simple logging to files or console.
 .
 Tntnet is fully multithreaded and much work has been gone into making
 it scalable. It uses a dynamic pool of worker threads, which answer
 requests from HTTP clients.

Package: libtntnet-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libcxxtools-dev, libtntnet9 (= ${binary:Version})
Conflicts: tntnet-dev (<< 1.6.3-3)
Replaces: tntnet-dev (<< 1.6.3-3)
Description: Tntnet library development headers
 Tntnet has a template-language called ecpp similar to PHP, JSP or
 Mason, where you can embed c++ code inside a HTML page to generate
 active content. The ecpp files are precompiled to C++ classes called
 components and compiled and linked into a shared library. This process
 is done at compiletime. The web server Tntnet needs only the compiled
 component library.
 .
 Because the web applications are compiled into native code, they are
 very fast and compact.
 .
 Components can call other components. So you can create building blocks
 of HTML parts and call them in other pages like subprocesses.
 .
 Requests are parsed by tntnet and the request information is easily
 accessible to the components. It supports GET and POST parameters and
 MIME multipart requests for file upload.
 .
 The template language has also support for internationalized
 applications. You can easily create web applications for different
 languages.
 .
 Other features are: cookies, HTTP upload, automatic request parameter
 parsing and conversion, automatic session management, scoped variables
 (application, request and session), internationalisation and keep-alive.
 .
 Logging is done through cxxtools, which provides a unique API for
 log4cpp, log4cxx or simple logging to files or console.
 .
 Tntnet is fully multithreaded and much work has been gone into making
 it scalable. It uses a dynamic pool of worker threads, which answer
 requests from HTTP clients.

Package: tntnet-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: tntnet (<< 1.6.3-3)
Replaces: tntnet-dev (<< 1.6.3-3)
Description: Tntnet runtime system
 This package has the runtime system for tntnet web server.

## tntnet 2.0+dfsg1

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tntnet
 Section: web
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kari Pahula <kaol@debian.org>
+Maintainer: Kari Pahula <kaol@debian.org>
 Build-Depends: cdbs, debhelper (>= 5), libcxxtools-dev (>= 2.0), libltdl-dev, zip, pkg-config, automake, autoconf, libtool, libssl-dev
 Standards-Version: 3.9.2
 Homepage: http://www.tntnet.org/

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_DH_MAKESHLIBS_ARGS := -X/usr/lib/tntnet/
DEB_CONFIGURE_EXTRA_FLAGS := LIBS=-lpthread

clean::
	rm -f etc/tntnet/tntnet.conf etc/tntnet/tntnet.properties
	rm -f etc/init.d/tntnet
	rm -rf sdk/demos/subcomp/
	find -name Makefile.in -exec rm '{}' ';'
	rm -f configure aclocal.m4 ltmain.sh libtool install-sh missing depcomp INSTALL config.*
	rm -f m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 m4/ltversion.m4 m4/lt~obsolete.m4
	rm -f framework/common/config.h.in

configure:
	autoreconf -sif

post-patches:: configure

binary-post-install/tntnet-doc::
	find debian/tntnet-doc/usr/share/doc/tntnet-doc/ \( -name "*.la" -o -name "*.lo" -o -name "*.o" -o -name "Makefile.in" -o -path "*/.libs/*" \) -exec rm "{}" ";"
	find debian/tntnet-doc/usr/share/doc/tntnet-doc/ -name "Makefile" "!" -path "*/newsdb/Makefile"  -exec rm "{}" ";"

## tntnet 2.1

=== debian/changelog ===
tntnet (2.1-2) unstable; urgency=low

  * Fix FTBFS with g++-4.7 on non-amd64 (Closes: #673739)
  * Don't use functions directly from gcrypt needlessly if building with
    gnutls.  (A moot change since we used libssl instead already but hey.)
    (Closes: #638662)
  * Add a variable to /etc/default/tntnet to control whether to check that
    port 80 is available.

 -- Kari Pahula <kaol@debian.org>  Sat, 26 May 2012 13:04:27 +0300

tntnet (2.1-1) unstable; urgency=low

  * New upstream release (SONAME 10)
    + Buildable with g++-4.7 (Closes: #667394)
  * Standards-Version: 3.9.3 (no changes necessary).
  * Use dh-autoreconf.
  * Run test suite at build time.
  * Fix the chat demo from tntnet-demos.
  * Made the init script use log_daemon_msg and friends.

 -- Kari Pahula <kaol@debian.org>  Thu, 03 May 2012 19:28:53 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: extra
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), libcxxtools-dev (>= 2.0), libltdl-dev, zip, pkg-config, automake, autoconf, libtool, libssl-dev
-Standards-Version: 3.9.2
+Build-Depends: cdbs, debhelper (>= 5), libcxxtools-dev (>= 2.1), libltdl-dev, zip, pkg-config, dh-autoreconf, libtool, libssl-dev
+Standards-Version: 3.9.3
 Homepage: http://www.tntnet.org/
 
 Package: tntnet
@@ -85,7 +85,7 @@
 Package: tntnet-demos
 Architecture: any
 Section: doc
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
 Recommends: tntnet
 Description: demo web applications for Tntnet
  Tntnet has a template-language called ecpp similar to PHP, JSP or
@@ -120,7 +120,7 @@
  it scalable. It uses a dynamic pool of worker threads, which answer
  requests from HTTP clients.
 
-Package: libtntnet9
+Package: libtntnet10
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -161,7 +161,7 @@
 Package: libtntnet-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcxxtools-dev, libtntnet9 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcxxtools-dev, libtntnet10 (= ${binary:Version})
 Conflicts: tntnet-dev (<< 1.6.3-3)
 Replaces: tntnet-dev (<< 1.6.3-3)
 Description: Tntnet library development headers

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_PARALLEL=yes

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_DH_MAKESHLIBS_ARGS := -X/usr/lib/tntnet/

clean::
	rm -f etc/tntnet/tntnet.conf etc/tntnet/tntnet.properties
	rm -f etc/init.d/tntnet
	rm -rf sdk/demos/subcomp/
	rm -f config.sub config.guess
	rm -f framework/common/config.h.in

binary-post-install/tntnet-doc::
	find debian/tntnet-doc/usr/share/doc/tntnet-doc/ \( -name "*.la" -o -name "*.lo" -o -name "*.o" -o -name "Makefile.in" -o -path "*/.libs/*" \) -exec rm "{}" ";"
	find debian/tntnet-doc/usr/share/doc/tntnet-doc/ -name "Makefile" "!" -path "*/newsdb/Makefile"  -exec rm "{}" ";"

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
binary-post-install/tntnet::
	cd utest; ./utest || /bin/true
endif

## tntnet 2.2

=== debian/changelog ===
tntnet (2.2-2) unstable; urgency=low

  * Bump libcxxtools-dev dependency to >= 2.2.

 -- Kari Pahula <kaol@debian.org>  Tue, 21 May 2013 23:52:16 +0300

tntnet (2.2-1) unstable; urgency=low

  * New upstream release (SONAME 11)
  * Standards-Version 3.9.4 and debhelper compat 9.

 -- Kari Pahula <kaol@debian.org>  Mon, 20 May 2013 21:31:33 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: extra
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), libcxxtools-dev (>= 2.1), libltdl-dev, zip, pkg-config, dh-autoreconf, libtool, libssl-dev
-Standards-Version: 3.9.3
+Build-Depends: cdbs, debhelper (>= 9), libcxxtools-dev (>= 2.2), libltdl-dev, zip, pkg-config, dh-autoreconf, libtool, libssl-dev
+Standards-Version: 3.9.4
 Homepage: http://www.tntnet.org/
 
 Package: tntnet
@@ -120,7 +120,7 @@
  it scalable. It uses a dynamic pool of worker threads, which answer
  requests from HTTP clients.
 
-Package: libtntnet10
+Package: libtntnet11
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -161,7 +161,7 @@
 Package: libtntnet-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcxxtools-dev, libtntnet10 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcxxtools-dev, libtntnet11 (= ${binary:Version})
 Conflicts: tntnet-dev (<< 1.6.3-3)
 Replaces: tntnet-dev (<< 1.6.3-3)
 Description: Tntnet library development headers

## tntnet 2.2.1

=== sdk/demos/newsdb/Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 SUFFIXES=.ecpp .gif .jpg
 ECPPC=../../tools/ecppc/ecppc
-CXXFLAGS+=`tntnet-config --cxxflags` -fPIC -O2
-LDFLAGS+=-shared `tntnet-config --libs` -ltntdb
+CXXFLAGS+=-I../../framework/common -fPIC -O2
+LDFLAGS+=-shared -ltntnet -ltntdb
 
 %.cpp: %.ecpp
 	$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_CPP) $<

=== debian/changelog ===
tntnet (2.2.1-5) unstable; urgency=medium

  * adopt package (Closes: #1031031)
    thanks a lot to Kari Pahula for maintaining the package
  * this upload is just about adoption, it still FTBFS
  * no longer use compat file
  * add debian/watch
  * add debian/upstream/metadata
  * debian/copyright: use dep5

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 11 Jun 2023 00:03:02 +0200

tntnet (2.2.1-4) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1
    + Set priority as optional
  * dh compat 10
  * Improve cross building: pass --with-epoll. (Closes: #946521) (Thanks
    to Helmut Grohne)
  * Add systemd service file

 -- Kari Pahula <kaol@debian.org>  Tue, 17 Dec 2019 18:40:46 +0200

tntnet (2.2.1-3) unstable; urgency=medium

  * Add missing build-dep zlib1g-dev (Closes: #835799)

 -- Kari Pahula <kaol@debian.org>  Sun, 25 Sep 2016 12:36:10 +0300

tntnet (2.2.1-2) unstable; urgency=medium

  * Bump library package name to 12v5 for C++ ABI transition.  (Closes:
    #796721)
  * Bump Standards-Version to 3.9.6 (No changes necessary)

 -- Kari Pahula <kaol@debian.org>  Sat, 05 Sep 2015 18:57:54 +0300

tntnet (2.2.1-1) unstable; urgency=high

  * New upstream release (SONAME 12)
  * CVE-2013-7299 possibility of passing previous request's headers via
    malformed HTTP requests fixed (Closes: #735881)
  * Switch documentRoot to /var/www/html (Closes: #730374)
  * Bump Standards-Version to 3.9.5 (No changes necessary)

 -- Kari Pahula <kaol@debian.org>  Wed, 22 Jan 2014 19:31:26 +0200

tntnet (2.2-3) unstable; urgency=low

  * Check for zlib in configure. (Closes: #713693)

 -- Kari Pahula <kaol@debian.org>  Fri, 12 Jul 2013 23:08:03 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,18 @@
 Source: tntnet
-Section: web
-Priority: extra
-Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: cdbs, debhelper (>= 9), libcxxtools-dev (>= 2.2), libltdl-dev, zip, pkg-config, dh-autoreconf, libtool, libssl-dev
-Standards-Version: 3.9.4
+Section: httpd
+Priority: optional
+Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Build-Depends: debhelper-compat (= 13)
+	, libcxxtools-dev (>= 2.2.1-2)
+	, libltdl-dev
+	, zip
+	, pkg-config
+	, libtool
+	, libssl-dev
+	, zlib1g-dev
+Standards-Version: 4.6.2
 Homepage: http://www.tntnet.org/
+Rules-Requires-Root: no
 
 Package: tntnet
 Architecture: any
@@ -120,11 +128,13 @@
  it scalable. It uses a dynamic pool of worker threads, which answer
  requests from HTTP clients.
 
-Package: libtntnet11
+Package: libtntnet12v5
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: tntnet-runtime
+Breaks: libtntnet12
+Replaces: libtntnet12
 Description: Tntnet libraries
  Tntnet has a template-language called ecpp similar to PHP, JSP or
  Mason, where you can embed c++ code inside a HTML page to generate
@@ -161,7 +171,7 @@
 Package: libtntnet-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcxxtools-dev, libtntnet11 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcxxtools-dev, libtntnet12v5 (= ${binary:Version})
 Conflicts: tntnet-dev (<< 1.6.3-3)
 Replaces: tntnet-dev (<< 1.6.3-3)
 Description: Tntnet library development headers

=== debian/rules ===
#!/usr/bin/make -f

#DEB_BUILD_PARALLEL=yes
#
#include /usr/share/cdbs/1/rules/autoreconf.mk
#include /usr/share/cdbs/1/class/autotools.mk
#include /usr/share/cdbs/1/rules/debhelper.mk
#
#DEB_CONFIGURE_EXTRA_FLAGS = --with-epoll=$(if $(filter $(DEB_HOST_ARCH_OS),linux),yes,no)
#DEB_DH_MAKESHLIBS_ARGS := -X/usr/lib/tntnet/
#
#binary-post-install/tntnet-doc::
#	find debian/tntnet-doc/usr/share/doc/tntnet-doc/ \( -name "*.la" -o -name "*.lo" -o -name "*.o" -o -name "Makefile.in" -o -path "*/.libs/*" \) -exec rm "{}" ";"
#	find debian/tntnet-doc/usr/share/doc/tntnet-doc/ -name "Makefile" "!" -path "*/newsdb/Makefile"  -exec rm "{}" ";"
#
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#binary-post-install/tntnet::
#	cd utest; ./utest || /bin/true
#endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

## tntnet 3.0

=== debian/changelog ===
tntnet (3.0-3.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:06:27 +1100

tntnet (3.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063080

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 18:22:08 +0000

tntnet (3.0-3) unstable; urgency=medium

  * debian/control: update VCS fields

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 11 Dec 2023 22:03:02 +0100

tntnet (3.0-2) unstable; urgency=medium

  * source upload

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Jun 2023 23:20:44 +0200

tntnet (3.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1035545)
  * debian/control: add dependency for go-md2man
  * check patches, some are already applied upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 11 Jun 2023 23:20:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: tntnet
 Section: httpd
 Priority: optional
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper-compat (= 13)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
 	, libcxxtools-dev (>= 2.2.1-2)
 	, libltdl-dev
 	, zip
@@ -10,13 +11,18 @@
 	, libtool
 	, libssl-dev
 	, zlib1g-dev
+	, go-md2man
+	, libtntdb-dev
 Standards-Version: 4.6.2
 Homepage: http://www.tntnet.org/
 Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/alteholz/tntnet
+Vcs-Git: https://salsa.debian.org/alteholz/tntnet.git
 
 Package: tntnet
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, net-tools, tntnet-runtime (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
 Provides: httpd, httpd-cgi
 Suggests: tntnet-doc, libtntnet-dev
 Description: modular, multithreaded web application server for C++
@@ -51,6 +57,8 @@
  Tntnet is fully multithreaded and much work has been gone into making
  it scalable. It uses a dynamic pool of worker threads, which answer
  requests from HTTP clients.
+ .
+ This package contains the server.
 
 Package: tntnet-doc
 Architecture: all
@@ -89,6 +97,8 @@
  Tntnet is fully multithreaded and much work has been gone into making
  it scalable. It uses a dynamic pool of worker threads, which answer
  requests from HTTP clients.
+ .
+ This package contains documentation.
 
 Package: tntnet-demos
 Architecture: any
@@ -127,14 +137,17 @@
  Tntnet is fully multithreaded and much work has been gone into making
  it scalable. It uses a dynamic pool of worker threads, which answer
  requests from HTTP clients.
-
-Package: libtntnet12v5
+ .
+ This package contains a web application demo.
+
+Package: libtntnet13t64
+Provides: ${t64:Provides}
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: tntnet-runtime
-Breaks: libtntnet12
-Replaces: libtntnet12
+Breaks: libtntnet13 (<< ${source:Version}), libtntnet12
+Replaces: libtntnet13, libtntnet12
 Description: Tntnet libraries
  Tntnet has a template-language called ecpp similar to PHP, JSP or
  Mason, where you can embed c++ code inside a HTML page to generate
@@ -167,13 +180,13 @@
  Tntnet is fully multithreaded and much work has been gone into making
  it scalable. It uses a dynamic pool of worker threads, which answer
  requests from HTTP clients.
+ .
+ Thos package contains the library.
 
 Package: libtntnet-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcxxtools-dev, libtntnet12v5 (= ${binary:Version})
-Conflicts: tntnet-dev (<< 1.6.3-3)
-Replaces: tntnet-dev (<< 1.6.3-3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcxxtools-dev, libtntnet13t64 (= ${binary:Version})
 Description: Tntnet library development headers
  Tntnet has a template-language called ecpp similar to PHP, JSP or
  Mason, where you can embed c++ code inside a HTML page to generate
@@ -206,11 +219,18 @@
  Tntnet is fully multithreaded and much work has been gone into making
  it scalable. It uses a dynamic pool of worker threads, which answer
  requests from HTTP clients.
+ .
+ This package contains files for development.
 
 Package: tntnet-runtime
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: tntnet (<< 1.6.3-3)
-Replaces: tntnet-dev (<< 1.6.3-3)
 Description: Tntnet runtime system
+ Tntnet has a template-language called ecpp similar to PHP, JSP or
+ Mason, where you can embed c++ code inside a HTML page to generate
+ active content. The ecpp files are precompiled to C++ classes called
+ components and compiled and linked into a shared library. This process
+ is done at compiletime. The web server Tntnet needs only the compiled
+ component library.
+ .
  This package has the runtime system for tntnet web server.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_PARALLEL=yes

CONFIGURE_FLAGS = --with-epoll=$(if $(filter $(DEB_HOST_ARCH_OS),linux),yes,no) --enable-demos --with-md2man

#
#binary-post-install/tntnet-doc::
#	find debian/tntnet-doc/usr/share/doc/tntnet-doc/ \( -name "*.la" -o -name "*.lo" -o -name "*.o" -o -name "Makefile.in" -o -path "*/.libs/*" \) -exec rm "{}" ";"
#	find debian/tntnet-doc/usr/share/doc/tntnet-doc/ -name "Makefile" "!" -path "*/newsdb/Makefile"  -exec rm "{}" ";"
#
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#binary-post-install/tntnet::
#	cd utest; ./utest || /bin/true
#endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_install:
	find
	dh_install

override_dh_clean:
	rm -rf doc/html doc/latex
	dh_clean

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)
	find

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd utest; ./utest || /bin/true
endif

%:
	dh $@ --with autoreconf

=== debian/watch ===
version=4

opts="compression=xz,dversionmangle=auto,filenamemangle=s%(?:.*?)?[vV]?(\d[\d.]*)\.tar\.gz%tntnet-$1.tar.gz%" \
   https://github.com/maekitalo/tntnet/tags \
   (?:.*?/)?[vV]?(\d[\d.]*)\.tar\.gz debian uupdate
